Bug 486762 - Publican not invoking Saxon correctly
Publican not invoking Saxon correctly
Status: CLOSED WORKSFORME
Product: Publican
Classification: Community
Component: publican (Show other bugs)
1.6
All Linux
low Severity medium
: ---
: ---
Assigned To: Jeff Fearn
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-21 17:47 EST by Jared Smith
Modified: 2010-11-23 23:17 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-11 23:51:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jared Smith 2009-02-21 17:47:51 EST
Description of problem:
In rawhide, Publican doesn't seem to be invoking Saxon correctly.

Version-Release number of selected component (if applicable):
publican-0.40-4.fc11.noarch
saxon-6.5.5-1.3.fc10.noarch
java-1.6.0-openjdk-1.6.0.0-10.b14.fc11.i386
java-1.6.0-openjdk-devel-1.6.0.0-10.b14.fc11.i386

How reproducible:
Always

Steps to Reproduce:
1. pushd /tmp/
2. create_book --name=blah
3. cd blah
4. make pdf-all
  
Actual results:
Errors output to console, PDF not built

Expected results:
Publican should build the PDF

Additional info:
I can work around the issue by setting USE_SAXON=0 in the Makefile, so that Publican uses xsltproc instead of Saxon.

Also, here's how Publican is calling Saxon, and the error that Saxon is reporting:

java -cp /usr/share/java/saxon.jar:/usr/share/java/xerces-j2.jar:/usr/share/java/xml-commons-resolver.jar:/usr/share/publican/xsl:/usr/share/publican/xsl/saxon65.jar:/usr/share/java/xslthl.jar -Djavax.xml.parsers.DocumentBuilderFactory=org.apache.xerces.jaxp.DocumentBuilderFactoryImpl -Djavax.xml.parsers.SAXParserFactory=org.apache.xerces.jaxp.SAXParserFactoryImpl -Dorg.apache.xerces.xni.parser.XMLParserConfiguration=org.apache.xerces.parsers.XIncludeParserConfiguration -Dxslthl.config=file:///usr/share/xslthl/xslthl-config.xml com.icl.saxon.StyleSheet -x org.apache.xml.resolver.tools.ResolvingXMLReader -y org.apache.xml.resolver.tools.ResolvingXMLReader -r org.apache.xml.resolver.tools.CatalogResolver -o blah.fo blah.xml /usr/share/publican/xsl/pdf.xsl toc.section.depth=2 java -cp /usr/share/java/saxon.jar:/usr/share/java/xerces-j2.jar:/usr/share/java/xml-commons-resolver.jar:/usr/share/publican/xsl:/usr/share/publican/xsl/saxon65.jar:/usr/share/java/xslthl.jar -Djavax.xml.parsers.DocumentBuilderFactory=org.apache.xerces.jaxp.DocumentBuilderFactoryImpl -Djavax.xml.parsers.SAXParserFactory=org.apache.xerces.jaxp.SAXParserFactoryImpl -Dorg.apache.xerces.xni.parser.XMLParserConfiguration=org.apache.xerces.parsers.XIncludeParserConfiguration -Dxslthl.config=file:///usr/share/xslthl/xslthl-config.xml com.icl.saxon.StyleSheet -x org.apache.xml.resolver.tools.ResolvingXMLReader -y org.apache.xml.resolver.tools.ResolvingXMLReader -r org.apache.xml.resolver.tools.CatalogResolver -o blah.fo blah.xml /usr/share/publican/xsl/pdf.xsl toc.section.depth=2 chunk.section.depth=4 confidential=0 l10n.gentext.language=en-US show.comments=0 generate.section.toc.level=0 use.extensions=1 tablecolumns.extensions=1
Bad param=value pair on command line
SAXON 6.5.5 from Michael Kay
Usage:  java com.icl.saxon.StyleSheet [options] source-doc style-doc {param=value}...
Options: 
  -a              Use xml-stylesheet PI, not style-doc argument 
  -ds             Use standard tree data structure 
  -dt             Use tinytree data structure (default)
  -o filename     Send output to named file or directory 
  -m classname    Use specified Emitter class for xsl:message output 
  -r classname    Use specified URIResolver class 
  -t              Display version and timing information 
  -T              Set standard TraceListener
  -TL classname   Set a specific TraceListener
  -u              Names are URLs not filenames 
  -w0             Recover silently from recoverable errors 
  -w1             Report recoverable errors and continue (default)
  -w2             Treat recoverable errors as fatal
  -x classname    Use specified SAX parser for source file 
  -y classname    Use specified SAX parser for stylesheet 
  -?              Display this message
Comment 1 Jeff Fearn 2009-02-22 20:44:42 EST
Hi, I can not duplicate this behaviour on rawhide. I tried with the publican users guide and a brand new book created with create book.

Can you attach a book, or give a URL to a books source, that exhibits this problem?

Note You need to log in before you can comment on or make changes to this bug.